class Umrechnung {
	static String umrechnung(int dezZahl, int system) {
		if ((dezZahl < 0) || (system < 2) || (system > 10))
			return ""; // Fehlerfall
		if (dezZahl == 0)
			return "0";
		String zahl = "";
		while (dezZahl > 0) {
			zahl = dezZahl % system + zahl;
			dezZahl /= system;
		}
		return zahl;
	}

	public static void main(String[] args) {
		int zahl = IO.readInt("Dezimalzahl:");
		int system = IO.readInt("System:");
		IO.println(umrechnung(zahl, system));
	}
}
